#
# spec file for package netqmail (Version 1.06)
#
# needsrootforbuild
#!BuildIgnore:          post-build-checks
%if %{?rel:0}%{!?rel:1}
%define rel 1
%endif

%define qversion 1.03
%define qname netqmail
%define qdir  /var/qmail
%define qlog  /var/log/qmail
%define LOCALNET 192.168.101.

# who should get mails originally addressed to root
%define ALIAS_USER  admin

# defining Group-ID's
# define GID for qmail-Group
%define QMGID 200
# define GID for nofiles-Group
%define NFGID 201

# defining USER-ID's
# define UID for qmailq
%define QMQID 200

# define UID for qmailr
%define QMRID 201

# define UID for qmails
%define QMSID 202

# define UID for qmaild
%define QMDID 203

# define UID for qmaill
%define QMLID 204

# define UID for qmailp
%define QMPID 205

# define UID for alias 
%define QALID 206

# rootforbuild

Name:		netqmail
Summary:        QMail Mail Transfer Agent
Version:        1.06
Release:        50.53.4
License:        GNU
Group:          Productivity/Networking/Email/Servers
URL:            http://www.qmail.org/
Source:         netqmail-%{version}.tar.gz
Source1:	netqmail-rpmlintrc
Patch0:         netqmail-1.05-tls-smtpauth-20070417.patch
Patch1:		qmail-dnslen.diff
Patch2:         qmail-remote-outgoingip.diff
Patch3:		qmail-spp-smtpauth-tls-20060105.diff
Patch4:		qmail-qmqpc_port.patch
Patch5:		netqmail-qmail-qstat.patch
Source1:        qmail-%{qversion}-supervise.tar.bz2
Source2:        qmail-%{qversion}-binfiles.tar.bz2
Source3:	smtpplugins
Source4:	msaplugins
Source5:	msa-spp-plugins.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	openssl-devel krb5-devel qmail_prepare_build
BuildRequires:	daemontools
BuildRequires:	ucspi-tcp
%if 0%{?suse_version}
BuildRequires:	openldap2-client
PreReq:         %fillup_prereq
%endif
%if 0%{?suse_version} >= 1030
BuildRequires:	pwdutils
Requires:	pwdutils
%endif

%if 0%{?centos_version} || 0%{?rhel_version} || 0%{?fedora_version}
BuildRequires:  shadow-utils
Requires:       shadow-utils
%endif

Conflicts:	sendmail, exim, smail, postfix, qmail-ldap
Requires:       ucspi-tcp >= 0.88 openssl
Provides:       smtp_daemon smtp /usr/sbin/sendmail qmail
Obsoletes:	qmail
#----------------------------------------------------------------------------------
%description
#----------------------------------------------------------------------------------
qmail is a small, fast, secure replacement for the sendmail package, which is
the program that actually receives, routes, and delivers electronic mail.

All relevant files resides in %{qdir} such as building from source.
Exceptions are:
 - man-/cat-files, they reside in %{_mandir}[man*|cat*] as defined in FHS
   (Filesystem Hierarchy Standard) <http://www.pathname.com/fhs>.
 - log-files, which are generated through multilog resides in %{qlog}

This package is patched to %{name}-1.06 distribution of qmail.  It is comprised
of qmail-1.03 <http://cr.yp.to/qmail.html> plus netqmail patches.
More information is available at:
 - qmail <http://cr.yp.to>
 - netqmail <http://www.qmail.org/netqmail/>
 - SMTP-AUTH TLS Patch <http://shupp.org/smtp-auth-tls/>
 - qmail-spp <http://qmail-spp.sf.net>
 - Life with qmail <http://www.lifewithqmail.org/lwq.html>
 - Life With qmail-ldap <http://www.lifewithqmail.org/ldap>

  Author: D. J. Bernstein <http://cr.yp.to/djb.html>
  Copyright: D. J. Bernstein

----------------------------------------------------------------------------------

#----------------------------------------------------------------------------------
%package        pop3d 
#----------------------------------------------------------------------------------
Summary:        POP3 daemon for qmail
Group:          Productivity/Networking/Email/Servers
Requires:       ucspi-tcp >= 0.88 openssl
Requires:       %{name} >= %{version}-%{release}

#----------------------------------------------------------------------------------
%description pop3d
#----------------------------------------------------------------------------------
The qmail-pop3d packages provides POP3 support for qmail mail servers.  If
you need to be able to use POP3 with your qmail server, you should install
this package.
If you want to run POP3D with tcpserver and authenticate only against LDAP then
install this package.
Otherwise you want to prefer POP3D coming with courier-imap :)
<http://www.courier-mta.org/imap>

----------------------------------------------------------------------------------

#----------------------------------------------------------------------------------
%prep
#----------------------------------------------------------------------------------
%setup -n netqmail-%{version} -a 1 -a 2
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3
%patch4
%patch5

#----------------------------------------------------------------------------------
%build
#----------------------------------------------------------------------------------
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

# Add users and groups as per Life With Qmail
#----------------------------------------------------------------------------------
# groups: qmail nofiles vmail
if [ -z  "`%__grep "^qmail:" /etc/group 2>/dev/null`" ]; then
  %{_sbindir}/groupadd -r -g %{QMGID} qmail
fi
if [ -z  "`%__grep "^nofiles:" /etc/group 2>/dev/null`" ]; then
  %{_sbindir}/groupadd -r -g %{NFGID} nofiles
fi

# user qmailq qmailr qmails qmaild qmaill qmailp alias vmail
if [ -z "`%__grep "^qmailq" /etc/passwd 2>/dev/null`" ]; then
  %{_sbindir}/useradd -c "qmail queue" -d %{qdir} -g qmail -u %{QMQID} -r -s /bin/false qmailq
fi
if [ -z "`%__grep "^qmailr" /etc/passwd 2>/dev/null`" ]; then
  %{_sbindir}/useradd -c "qmail remote" -d %{qdir} -g qmail -u %{QMRID} -r -s /bin/false qmailr
fi
if [ -z "`%__grep "^qmails" /etc/passwd 2>/dev/null`" ]; then
  %{_sbindir}/useradd -c "qmail send" -d %{qdir} -g qmail -u %{QMSID} -r -s /bin/false qmails
fi
if [ -z "`%__grep "^qmaild" /etc/passwd 2>/dev/null`" ]; then
  %{_sbindir}/useradd -c "qmail daemon" -d %{qdir} -g nofiles -u %{QMDID} -r -s /bin/false qmaild
fi
if [ -z "`%__grep "^qmaill" /etc/passwd 2>/dev/null`" ]; then
  %{_sbindir}/useradd -c "qmail logger" -d %{qdir} -g nofiles -u %{QMLID} -r -s /bin/false qmaill
fi
if [ -z "`%__grep "^qmailp" /etc/passwd 2>/dev/null`" ]; then
  %{_sbindir}/useradd -c "qmail passwd" -d %{qdir} -g nofiles -u %{QMPID} -r -s /bin/false qmailp
fi
if [ -z "`%__grep "^alias" /etc/passwd 2>/dev/null`" ]; then
  %{_sbindir}/useradd -c "qmail alias" -d %{qdir}/alias -g nofiles -u %{QALID} -r -s /bin/false alias
fi

make clean
make compile makelib
make it man


#----------------------------------------------------------------------------------
%install
#----------------------------------------------------------------------------------
export PATH="/sbin:/usr/sbin:/bin:/usr/bin"

# install directories
#----------------------------------------------------------------------------------
for i in alias bin boot control queue supervise users; do
  mkdir -p $RPM_BUILD_ROOT%{qdir}/$i
done
for i in smtpd pop3d msa; do
  mkdir -p $RPM_BUILD_ROOT%{qlog}/$i
done
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}

for i in bin boot control doc users; do
  mkdir -p $RPM_BUILD_ROOT%{qdir}/$i
done

for i in man1 man5 man7 man8; do
  mkdir -p $RPM_BUILD_ROOT%{_mandir}/$i
done

for i in cat1 cat5 cat7 cat8; do
  mkdir -p $RPM_BUILD_ROOT%{_mandir}/$i
done

# install aliases
# Make ALIAS_USER the default address for aliases
#----------------------------------------------------------------------------------
echo %{ALIAS_USER} > $RPM_BUILD_ROOT%{qdir}/alias/.qmail-root
echo "root"	> $RPM_BUILD_ROOT%{qdir}/alias/.qmail-postmaster
# some VARS
QMAL_ROOT="$RPM_BUILD_ROOT%{qdir}/alias"
for i in `cat /etc/aliases | grep ^[a-z].*: | sed -e 's,[\t|\ \+],,g' | sed -e '/^root:.*/d'`; do
  QMALIAS=`echo $i | awk -F':' '{print $1}'`
  QMALIAS_DEST=`echo $i | awk -F':' '{print $2}'`
  if [ "$QMALIAS" = "postmaster" ]; then
    echo $QMALIAS_DEST > $QMAL_ROOT/.qmail-postmaster
    continue
  fi
  # check for 'FILE exists and is a regular file'
  if [ -f $QMAL_ROOT/.qmail-$QMALIAS_DEST ]; then
    # FILE exists and is a symbolic link (same as -L)
    if [ -h $QMAL_ROOT/.qmail-$QMALIAS ]; then
      rm -f $QMAL_ROOT/.qmail-$QMALIAS
    fi
    ln -s .qmail-$QMALIAS_DEST $QMAL_ROOT/.qmail-$QMALIAS
  else
    echo $QMALIAS_DEST > $QMAL_ROOT/.qmail-$QMALIAS
  fi
done

# install binaries
#----------------------------------------------------------------------------------
for i in bouncesaying condredirect datemail elq except forward maildir2mbox maildirmake maildirwatch mailsubj pinq predate preline qail qbiff qmail-clean qmail-getpw qmail-inject qmail-local qmail-lspawn qmail-newmrh qmail-newu qmail-pop3d qmail-popup qmail-pw2u qmail-qmqpc qmail-qmqpd qmail-qmtpd qmail-qread qmail-qstat qmail-queue qmail-remote qmail-rspawn qmail-send qmail-showctl qmail-smtpd qmail-start qmail-tcpok qmail-tcpto qreceipt qsmhook sendmail splogger tcp-env; do
cp -a $i $RPM_BUILD_ROOT%{qdir}/bin
done


# install docs
#----------------------------------------------------------------------------------
for i in bouncesaying condredirect except forward maildir2mbox maildirmake maildirwatch mailsubj preline qbiff qreceipt tcp-env; do
  cp -a $RPM_BUILD_DIR/%{qname}-%{version}/$i.1 $RPM_BUILD_ROOT%{_mandir}/man1
  cp -a $RPM_BUILD_DIR/%{qname}-%{version}/$i.0 $RPM_BUILD_ROOT%{_mandir}/cat1
done

for i in addresses dot-qmail envelopes mbox qmail-control qmail-header qmail-log qmail-users tcp-environ; do
  cp -a $RPM_BUILD_DIR/%{qname}-%{version}/$i.5 $RPM_BUILD_ROOT%{_mandir}/man5
  cp -a $RPM_BUILD_DIR/%{qname}-%{version}/$i.0 $RPM_BUILD_ROOT%{_mandir}/cat5
done

for i in forgeries qmail-limits qmail; do
  cp -a $RPM_BUILD_DIR/%{qname}-%{version}/$i.7 $RPM_BUILD_ROOT%{_mandir}/man7
  cp -a $RPM_BUILD_DIR/%{qname}-%{version}/$i.0 $RPM_BUILD_ROOT%{_mandir}/cat7
done

for i in qmail-clean qmail-command qmail-getpw qmail-inject qmail-local qmail-lspawn qmail-newmrh qmail-newu qmail-pop3d qmail-popup qmail-pw2u qmail-qmqpc qmail-qmqpd qmail-qmtpd qmail-qread qmail-qstat qmail-queue qmail-remote qmail-rspawn qmail-send qmail-showctl qmail-smtpd qmail-start qmail-tcpok qmail-tcpto splogger; do
  cp -a $RPM_BUILD_DIR/%{qname}-%{version}/$i.8 $RPM_BUILD_ROOT%{_mandir}/man8
  cp -a $RPM_BUILD_DIR/%{qname}-%{version}/$i.0 $RPM_BUILD_ROOT%{_mandir}/cat8
done

# zip man pages
#----------------------------------------------------------------------------------
find $RPM_BUILD_ROOT%{_mandir} -type f -exec gzip {} \;

# install boot
#----------------------------------------------------------------------------------
for i in binm1 binm1+df binm2 binm2+df binm3 binm3+df home home+df proc proc+df; do
  cp -a $RPM_BUILD_DIR/%{qname}-%{version}/$i $RPM_BUILD_ROOT%{qdir}/boot
done

# build the queue
#----------------------------------------------------------------------------------
for i in bounce info intd local lock mess pid remote todo; do
  install -d $RPM_BUILD_ROOT%{qdir}/queue/$i
done

for d in info local mess remote; do
  for i in 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22; do
    install -d $RPM_BUILD_ROOT%{qdir}/queue/$d/$i
  done
done

touch $RPM_BUILD_ROOT%{qdir}/queue/lock/sendmutex
touch $RPM_BUILD_ROOT%{qdir}/queue/lock/tcpto
mkfifo -m 0622 $RPM_BUILD_ROOT%{qdir}/queue/lock/trigger

# the rest
#----------------------------------------------------------------------------------
cp -a instcheck $RPM_BUILD_ROOT%{qdir}/bin
cp -a config-fast $RPM_BUILD_ROOT%{qdir}/bin

cp -a bin/qmail.rc $RPM_BUILD_ROOT%{qdir}/rc
pushd bin
for i in dirmaker.sh inst_check qmailctl; do
  cp -a $i $RPM_BUILD_ROOT%{qdir}/bin/
done
popd

# configure qmail /var/qmail/control/*
#----------------------------------------------------------------------------------
touch $RPM_BUILD_ROOT%{qdir}/control/smtproutes

pushd $RPM_BUILD_ROOT%{qdir}/control
  echo "./Maildir/" > defaultdelivery
  echo "60" > concurrencyremote
  echo "100" > concurrencyincoming
  echo "20971520" > databytes
  echo "1000000" > logsize
  echo "100" > logcount
  echo "86400" > queuelifetime
  echo "3" > spfbehavior
  echo "Welcome to Qmail-LDAP Ver. %{version} SMTP Server" > smtpgreeting
  cat << EOF >> rbllist
zen.spamhaus.org  reject  127.0.0.2 Spamhaus - http://www.spamhaus.org/SBL/
list.dsbl.org reject  127.0.0.2 DSBL - http://dsbl.org/main/
bl.spamcop.net  reject  127.0.0.2 Spamcop - http://spamcop.net/
EOF
  cp %{S:3} $RPM_BUILD_ROOT%{qdir}/control/
  cp %{S:4} $RPM_BUILD_ROOT%{qdir}/control/
  chmod 644 *
popd

# install default spp plugins

tar xfj %{S:5} -C $RPM_BUILD_ROOT%{qdir}/

# sendmail compatability and qmailctl links
#----------------------------------------------------------------------------------
pushd $RPM_BUILD_ROOT%{_sbindir}
  ln -s %{qdir}/bin/sendmail
popd
pushd $RPM_BUILD_ROOT%{_bindir}
  ln -s %{qdir}/bin/qmailctl
popd

# install supervise
#----------------------------------------------------------------------------------
cp -a supervise $RPM_BUILD_ROOT/%{qdir}

# Setup default /etc/tcprules.d/qmail-smtp
#----------------------------------------------------------------------------------
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/tcprules.d
echo '127.:allow,RELAYCLIENT=""' > $RPM_BUILD_ROOT%{_sysconfdir}/tcprules.d/tcp.smtp
if [ %{LOCALNET} != "" ]; then
  echo '%{LOCALNET}:allow,RELAYCLIENT=""' >> $RPM_BUILD_ROOT%{_sysconfdir}/tcprules.d/tcp.smtp
fi
echo ':allow,RBL="",RCPTCHECK=""' >> $RPM_BUILD_ROOT%{_sysconfdir}/tcprules.d/tcp.smtp
echo '127.:allow,SPPCONFFILE="/var/qmail/control/msaplugins"' > $RPM_BUILD_ROOT%{_sysconfdir}/tcprules.d/tcp.msa

# remove conflicting files from other distries
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/maildirmake.1.gz
rm -f $RPM_BUILD_ROOT%{_mandir}/cat1/maildirmake.0.gz

#----------------------------------------------------------------------------------
%pre
#----------------------------------------------------------------------------------
#echo "PARAM_pre: "$1
# on `rpm -ivh` PARAM is 1
# on `rpm -Uvh` PARAM is 2
if [ "$1" = "1" ]; then
# Add users and groups as per Life With Qmail
#----------------------------------------------------------------------------------
# groups: qmail nofiles vmail
  echo " Adding qmail users and groups."
  if [ -z  "`%__grep "^qmail:" /etc/group 2>/dev/null`" ]; then
    %{_sbindir}/groupadd -r -g %{QMGID} qmail
  fi
  if [ -z  "`%__grep "^nofiles:" /etc/group 2>/dev/null`" ]; then
    %{_sbindir}/groupadd -r -g %{NFGID} nofiles
  fi

# user qmailq qmailr qmails qmaild qmaill qmailp alias vmail
  if [ -z "`%__grep "^qmailq" /etc/passwd 2>/dev/null`" ]; then
    %{_sbindir}/useradd -c "qmail queue" -d %{qdir} -g qmail -u %{QMQID} -r -s /bin/false qmailq
  fi
  if [ -z "`%__grep "^qmailr" /etc/passwd 2>/dev/null`" ]; then
    %{_sbindir}/useradd -c "qmail remote" -d %{qdir} -g qmail -u %{QMRID} -r -s /bin/false qmailr
  fi
  if [ -z "`%__grep "^qmails" /etc/passwd 2>/dev/null`" ]; then
    %{_sbindir}/useradd -c "qmail send" -d %{qdir} -g qmail -u %{QMSID} -r -s /bin/false qmails
  fi
  if [ -z "`%__grep "^qmaild" /etc/passwd 2>/dev/null`" ]; then
    %{_sbindir}/useradd -c "qmail daemon" -d %{qdir} -g nofiles -u %{QMDID} -r -s /bin/false qmaild
  fi 
  if [ -z "`%__grep "^qmaill" /etc/passwd 2>/dev/null`" ]; then 
    %{_sbindir}/useradd -c "qmail logger" -d %{qdir} -g nofiles -u %{QMLID} -r -s /bin/false qmaill
  fi 
  if [ -z "`%__grep "^qmailp" /etc/passwd 2>/dev/null`" ]; then 
    %{_sbindir}/useradd -c "qmail passwd" -d %{qdir} -g nofiles -u %{QMPID} -r -s /bin/false qmailp
  fi 
  if [ -z "`%__grep "^alias" /etc/passwd 2>/dev/null`" ]; then
    %{_sbindir}/useradd -c "qmail alias" -d %{qdir}/alias -g nofiles -u %{QALID} -r -s /bin/false alias
  fi 
fi

#----------------------------------------------------------------------------------
%preun
#----------------------------------------------------------------------------------
#echo "PARAM_preun: "$1
# on `rpm -e` PARAM is 0
if [ "$1" = "0" ]; then

# Make qmail stop
  qmailctl stop

# Remove users and groups
  echo " Removing qmail users and groups."
  userdel alias 2> /dev/null
  userdel qmaild 2> /dev/null
  userdel qmaill 2> /dev/null
  userdel qmailp 2> /dev/null
  userdel qmailq 2> /dev/null
  userdel qmailr 2> /dev/null
  userdel qmails 2> /dev/null
  userdel vmail 2> /dev/null
  groupdel nofiles 2> /dev/null
  groupdel qmail 2> /dev/null
  groupdel vmail 2> /dev/null	

fi


#----------------------------------------------------------------------------------
%post
#----------------------------------------------------------------------------------
#echo "PARAM_post: "$1
# on `rpm -ivh` PARAM is 1
# on `rpm -Uvh` PARAM is 2
if [ "$1" = "1" ]; then

# Get hostname and parse it for following operations
#----------------------------------------------------------------------------------
  fqdn=`hostname -f`
  ddom=`echo "$fqdn" | sed 's/^\([^\.]*\)\.\([^\.]*\)\./\2\./'`
  pdom=`echo "$fqdn" | sed 's/^.*\.\([^\.]*\)\.\([^\.]*\)$/\1.\2/'`

  echo $fqdn > %{qdir}/control/me
  echo $ddom > %{qdir}/control/defaultdomain
  echo $pdom > %{qdir}/control/plusdomain
  for i in localhost $fqdn $ddom; do
    echo "$i" >> %{qdir}/control/locals
  done
  cp -a %{qdir}/control/locals %{qdir}/control/rcpthosts
  echo "Welcome to Qmail Ver. %{version} SMTP Server" > %{qdir}/control/smtpgreeting

# Make ldap control files
#----------------------------------------------------------------------------------
  quotawarning="You can contact us at support@$ddom"
  custombouncetext="You can contact us at support@$ddom"

# Compile default tcp.smtp
#----------------------------------------------------------------------------------
  if [ -f /usr/bin/tcprules ]; then
    echo "Compiling default cdb files in %{_sysconfdir}/tcprules.d..."
    qmailctl cdb
  fi
  if [ -f /usr/bin/tcprules -a -f %{_sysconfdir}/tcprules.d/tcp.msa ] ; then
    /usr/bin/tcprules %{_sysconfdir}/tcprules.d/tcp.msa.cdb %{_sysconfdir}/tcprules.d/tcp.msa.tmp < %{_sysconfdir}/tcprules.d/tcp.msa
  fi

# Make start
  mkdir -p /service
  pushd /service
    ln -s %{qdir}/supervise/qmail-send
    ln -s %{qdir}/supervise/qmail-smtpd
  popd

fi

#----------------------------------------------------------------------------------
%post pop3d
#----------------------------------------------------------------------------------
#echo "PARAM_post pop3d: "$1
# on `rpm -ivh` PARAM is 1
# on `rpm -Uvh` PARAM is 2
if [ "$1" = "1" ]; then
# Make start
#----------------------------------------------------------------------------------
  mkdir -p /service
  pushd /service
    ln -s %{qdir}/supervise/qmail-pop3d
  popd
fi

#----------------------------------------------------------------------------------
%postun
#----------------------------------------------------------------------------------
#echo "PARAM_postun: "$1
# on `rpm -e` PARAM is 0
if [ "$1" = 0 ]; then
  rm -rf %{qdir}
  rm -f /service/qmail*
fi

#----------------------------------------------------------------------------------
%postun pop3d
#----------------------------------------------------------------------------------
#echo "PARAM_postun pop3d: "$1
# on `rpm -e` PARAM is 0
if [ "$1" = 0 ]; then
  rm -f /supervise/qmail-pop3d
  rm -rf %{qdir}/supervise/qmail-pop3d
fi


#----------------------------------------------------------------------------------
%clean
#----------------------------------------------------------------------------------
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


#----------------------------------------------------------------------------------
%files
#----------------------------------------------------------------------------------

%defattr(-,-,qmail)

# config (system)
#----------------------------------------------------------------------------------
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/tcprules.d/tcp.smtp
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/tcprules.d/tcp.msa
%attr(-,root,qmail) %{_sbindir}/sendmail
%attr(-,root,qmail) %{_bindir}/qmailctl

# root dir
#----------------------------------------------------------------------------------
%attr(0755,root,qmail) %dir %{qdir}
%attr(0755,root,qmail) %{qdir}/rc

# alias dir
#----------------------------------------------------------------------------------
%attr(2755,alias,qmail) %dir %{qdir}/alias
%attr(0644,alias,qmail) %{qdir}/alias/.qmail*

# bin dir
#----------------------------------------------------------------------------------
%attr(0755,root,qmail) %dir %{qdir}/bin
%attr(0755,root,qmail) %{qdir}/bin/bouncesaying
%attr(0755,root,qmail) %{qdir}/bin/condredirect
%attr(0755,root,qmail) %{qdir}/bin/config-fast
%attr(0755,root,qmail) %{qdir}/bin/datemail
%attr(0755,root,qmail) %{qdir}/bin/dirmaker.sh
%attr(0755,root,qmail) %{qdir}/bin/elq
%attr(0755,root,qmail) %{qdir}/bin/except
%attr(0755,root,qmail) %{qdir}/bin/forward
%attr(0755,root,qmail) %{qdir}/bin/instcheck
%attr(0755,root,qmail) %{qdir}/bin/inst_check
%attr(0755,root,qmail) %{qdir}/bin/maildir2mbox
%attr(0755,root,qmail) %{qdir}/bin/maildirmake
%attr(0755,root,qmail) %{qdir}/bin/maildirwatch
%attr(0755,root,qmail) %{qdir}/bin/mailsubj
%attr(0755,root,qmail) %{qdir}/bin/pinq
%attr(0755,root,qmail) %{qdir}/bin/predate
%attr(0755,root,qmail) %{qdir}/bin/preline
%attr(0755,root,qmail) %{qdir}/bin/qail
%attr(0755,root,qmail) %{qdir}/bin/qbiff
%attr(0711,root,qmail) %{qdir}/bin/qmail-clean
%attr(0711,root,qmail) %{qdir}/bin/qmail-getpw
%attr(0755,root,qmail) %{qdir}/bin/qmail-inject
%attr(0711,root,qmail) %{qdir}/bin/qmail-local
%attr(0700,root,qmail) %{qdir}/bin/qmail-lspawn
%attr(0700,root,qmail) %{qdir}/bin/qmail-newmrh
%attr(0700,root,qmail) %{qdir}/bin/qmail-newu
%attr(0755,root,qmail) %{qdir}/bin/qmail-pop3d
%attr(0711,root,qmail) %{qdir}/bin/qmail-popup
%attr(0711,root,qmail) %{qdir}/bin/qmail-pw2u
%attr(0755,root,qmail) %{qdir}/bin/qmail-qmqpc
%attr(0755,root,qmail) %{qdir}/bin/qmail-qmqpd
%attr(0755,root,qmail) %{qdir}/bin/qmail-qmtpd
%attr(0755,root,qmail) %{qdir}/bin/qmail-qread
%attr(0755,root,qmail) %{qdir}/bin/qmail-qstat
%attr(4711,qmailq,qmail) %{qdir}/bin/qmail-queue
%attr(0711,root,qmail) %{qdir}/bin/qmail-remote
%attr(0711,root,qmail) %{qdir}/bin/qmail-rspawn
%attr(0711,root,qmail) %{qdir}/bin/qmail-send
%attr(0755,root,qmail) %{qdir}/bin/qmail-showctl
%attr(0755,root,qmail) %{qdir}/bin/qmail-smtpd
%attr(0700,root,qmail) %{qdir}/bin/qmail-start
%attr(0755,root,qmail) %{qdir}/bin/qmail-tcpok
%attr(0755,root,qmail) %{qdir}/bin/qmail-tcpto
%attr(0755,root,qmail) %{qdir}/bin/qmailctl
%attr(0755,root,qmail) %{qdir}/bin/qreceipt
%attr(0755,root,qmail) %{qdir}/bin/qsmhook
%attr(0755,root,qmail) %{qdir}/bin/sendmail
%attr(0711,root,qmail) %{qdir}/bin/splogger
%attr(0755,root,qmail) %{qdir}/bin/tcp-env

# boot dir
#----------------------------------------------------------------------------------
%attr(0755,root,qmail) %dir %{qdir}/boot
%attr(0755,root,qmail) %{qdir}/boot/*

# control dir
#----------------------------------------------------------------------------------
%attr(0755,root,qmail) %dir %{qdir}/control

# config (qmail)
#----------------------------------------------------------------------------------
%attr(0644,root,qmail) %config(noreplace) %{qdir}/control/*
%attr(0755,root,qmail) %config(noreplace) %{qdir}/plugins/*

# doc dir
#----------------------------------------------------------------------------------

%attr(-,root,root) %doc FAQ INSTALL INSTALL.alias INSTALL.ctl INSTALL.ids INSTALL.maildir INSTALL.mbox INSTALL.vsm PIC.local2alias PIC.local2ext PIC.local2local PIC.local2rem PIC.local2virt PIC.nullclient PIC.relaybad PIC.relaygood PIC.rem2local REMOVE.binmail REMOVE.sendmail SENDMAIL TEST.deliver TEST.receive UPGRADE

# log dir
#----------------------------------------------------------------------------------
%attr(0750,qmaill,nofiles) %dir %{qlog}
%attr(0750,qmaill,nofiles) %dir %{qlog}/smtpd
%attr(0750,qmaill,nofiles) %dir %{qlog}/msa

# man pages
#----------------------------------------------------------------------------------
%attr(0755,root,root) %dir %{_mandir}/cat?
%attr(0755,root,root) %dir %{_mandir}/man?
%attr(0644,root,root) %{_mandir}/cat?/*gz
%attr(0644,root,root) %{_mandir}/man?/*gz

# qmail queue
#----------------------------------------------------------------------------------
%attr(0750,qmailq,qmail) %dir %{qdir}/queue/
%attr(0700,qmails,qmail) %dir %{qdir}/queue/bounce
%attr(0700,qmails,qmail) %dir %{qdir}/queue/info
%attr(0700,qmails,qmail) %{qdir}/queue/info/*
%attr(0700,qmailq,qmail) %dir %{qdir}/queue/intd
%attr(0700,qmails,qmail) %dir %{qdir}/queue/local
%attr(0700,qmails,qmail) %{qdir}/queue/local/*
%attr(0750,qmailq,qmail) %dir %{qdir}/queue/lock
%attr(0600,qmails,qmail) %{qdir}/queue/lock/sendmutex
%attr(0644,qmailr,qmail) %{qdir}/queue/lock/tcpto
%attr(-,qmails,qmail) %{qdir}/queue/lock/trigger
%attr(0750,qmailq,qmail) %dir %{qdir}/queue/mess
%attr(0750,qmailq,qmail) %{qdir}/queue/mess/*
%attr(0700,qmailq,qmail) %dir %{qdir}/queue/pid
%attr(0700,qmails,qmail) %dir %{qdir}/queue/remote
%attr(0700,qmails,qmail) %{qdir}/queue/remote/*
%attr(0750,qmailq,qmail) %dir %{qdir}/queue/todo

# supervise dir
#----------------------------------------------------------------------------------
%attr(0700,qmaill,qmail) %dir %{qdir}/supervise
%attr(1700,qmaill,qmail) %dir %{qdir}/supervise/qmail-send
%attr(0700,qmaill,qmail) %dir %{qdir}/supervise/qmail-send/env
%attr(0700,qmaill,qmail) %dir %{qdir}/supervise/qmail-send/log
%attr(0700,qmaill,qmail) %dir %{qdir}/supervise/qmail-send/supervise
%attr(1700,qmaill,qmail) %dir %{qdir}/supervise/qmail-smtpd
%attr(0700,qmaill,qmail) %dir %{qdir}/supervise/qmail-smtpd/env
%attr(0700,qmaill,qmail) %dir %{qdir}/supervise/qmail-smtpd/log
%attr(0700,qmaill,qmail) %dir %{qdir}/supervise/qmail-smtpd/supervise
%attr(0600,qmaill,qmail) %{qdir}/supervise/qmail-send/env/*
%attr(0751,qmaill,qmail) %{qdir}/supervise/qmail-send/run
%attr(0751,qmaill,qmail) %{qdir}/supervise/qmail-send/log/run
%attr(0600,qmaill,qmail) %{qdir}/supervise/qmail-smtpd/env/*
%attr(0751,qmaill,qmail) %{qdir}/supervise/qmail-smtpd/run
%attr(0751,qmaill,qmail) %{qdir}/supervise/qmail-smtpd/log/run
%attr(1700,qmaill,qmail) %dir %{qdir}/supervise/qmail-msa
%attr(0700,qmaill,qmail) %dir %{qdir}/supervise/qmail-msa/env
%attr(0700,qmaill,qmail) %dir %{qdir}/supervise/qmail-msa/log
%attr(0700,qmaill,qmail) %dir %{qdir}/supervise/qmail-msa/supervise
%attr(0600,qmaill,qmail) %{qdir}/supervise/qmail-msa/env/*
%attr(0751,qmaill,qmail) %{qdir}/supervise/qmail-msa/run
%attr(0751,qmaill,qmail) %{qdir}/supervise/qmail-msa/log/run


# users dir
#----------------------------------------------------------------------------------
%attr(0755,root,qmail) %{qdir}/users

# qmail-pop3d
#----------------------------------------------------------------------------------
%files pop3d
#----------------------------------------------------------------------------------
# bin dir
#----------------------------------------------------------------------------------
%attr(0755,root,qmail) %{qdir}/bin/qmail-pop3d
%attr(0711,root,qmail) %{qdir}/bin/qmail-popup

# log dir
#----------------------------------------------------------------------------------
%attr(0750,qmaill,nofiles) %dir %{qlog}/pop3d

# supervise dir
#----------------------------------------------------------------------------------
%defattr(-,-,qmail)
%attr(1700,qmaill,qmail) %dir %{qdir}/supervise/qmail-pop3d
%attr(0700,qmaill,qmail) %dir %{qdir}/supervise/qmail-pop3d/env
%attr(0700,qmaill,qmail) %dir %{qdir}/supervise/qmail-pop3d/log
%attr(0700,qmaill,qmail) %dir %{qdir}/supervise/qmail-pop3d/supervise
%attr(0600,qmaill,qmail) %{qdir}/supervise/qmail-pop3d/env/*
%attr(0751,qmaill,qmail) %{qdir}/supervise/qmail-pop3d/run
%attr(0751,qmaill,qmail) %{qdir}/supervise/qmail-pop3d/log/run


#----------------------------------------------------------------------------------
%changelog
#----------------------------------------------------------------------------------
* Sun Sep 04 2011 Carsten Schoene <cs@linux-administrator.com> 1.06-50
- prepare supervise scripts for AUTHCMD
- added netqmail-qmail-qstat.patch

* Sun Jul 07 2008 Carsten Schoene <cs@linux-administrator.com> 1.06-4
- fix permissions of spp plugins
- add qmail-qmqpc_port.patch (changes port from 628 to 10628)

* Wed Apr 30 2008 Carsten Schoene <cs@linux-administrator.com> 1.06-2
- add msa service and spp config file + plugins

* Sun Apr 27 2008 Carsten Schoene <cs@linux-administrator.com> 1.06-1
- initial netqmail package, adapted from qmail-ldap

